Name:	libmatecomponent
Version:	2.0
Release:	2%{?dist}
Summary:	Libraries for matecomponent package of MATE-Desktop
Group:		System Environment/Libraries
License:	LGPLv2+ and GPLv2+
URL:		http://vicodan.fedorapeople.org
#This is built from upstream GIT as official release does not compile.
Source0:	http://vicodan.fedorapeople.org/libmatecomponent-2.0.tar.gz


BuildRequires:	flex popt-devel byacc mate-common libtool automake gettext glib2-devel intltool gtk-doc gnome-doc-utils gtk2-devel mate-corba mate-corba-devel libxml2-devel libxml2
Requires:	flex mate-corba mate-corba-devel

%description
Libraries for matecomponent package of MATE-Desktop

%package devel
Summary:	Headers and development libraries for matecomponent
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	mate-common automake autoconf flex-devel popt-devel glib2-devel intltool mate-corba mate-corba-devel

%description devel
Development libraries and header files for libmatecomponent.


%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc AUTHORS COPYING README
%config(noreplace) /etc/matecomponent-activation/matecomponent-activation-config.xml
%{_bindir}/matecomponent-activation-client
%{_bindir}/matecomponent-activation-run-query
%{_bindir}/matecomponent-echo-client-2
%{_bindir}/matecomponent-slay
%{_sbindir}/matecomponent-activation-sysconf
%{_libexecdir}/matecomponent-activation-server
%{_datadir}/gtk-doc/html/libmatecomponent/
%{_datadir}/gtk-doc/html/matecomponent-activation/
%{_datadir}/man/man1/*
%{_datadir}/idl/matecomponent-2.0/
%{_datadir}/idl/matecomponent-activation-2.0/
%{_libdir}/libmatecomponent-2.la
%{_libdir}/libmatecomponent-2.so.0
%{_libdir}/libmatecomponent-2.so.0.0.0
%{_libdir}/libmatecomponent-activation.la
%{_libdir}/libmatecomponent-activation.so.4
%{_libdir}/libmatecomponent-activation.so.4.0.0
%{_libdir}/matecomponent-2.0/samples/matecomponent-echo-2
%{_libdir}/matecomponent/monikers/libmoniker_std_2.la
%{_libdir}/matecomponent/monikers/libmoniker_std_2.so
%{_libdir}/matecomponent/servers/MateComponent_CosNaming_NamingContext.server
%{_libdir}/matecomponent/servers/MateComponent_Moniker_std.server
%{_libdir}/matecomponent/servers/MateComponent_Sample_Echo.server
%{_libdir}/matecorba-2.0/MateComponent_module.la
%{_libdir}/matecorba-2.0/MateComponent_module.so

%files devel
%doc AUTHORS COPYING README
%{_includedir}/libmatecomponent-2.0/matecomponent/*.h
%{_libdir}/libmatecomponent-activation.a
%{_libdir}/libmatecomponent-2.so
%{_libdir}/matecomponent/monikers/libmoniker_std_2.a
%{_libdir}/libmatecomponent-2.a
%{_libdir}/pkgconfig/libmatecomponent-2.0.pc
%{_libdir}/matecorba-2.0/MateComponent_module.a
%{_libdir}/pkgconfig/matecomponent-activation-2.0.pc
%{_libdir}/libmatecomponent-activation.so
%{_includedir}/libmatecomponent-2.0/*.h
%{_includedir}/matecomponent-activation-2.0/matecomponent-activation/*.h


%changelog
* Sat Jul 14 2012 Dan Mashal <dan.mashal@gmail.com> 2.0-2
- Clean up spec file, please note 2.0 is reuqired as build fails for 1.4

* Thu Jul 12 2012 Dan Mashal <dan.mashal@gmail.com> 2.0-1
-Initial build

